Subject: Re: [tbench regression fixes]: digging out smelly deadmen.

From: Stephen Hemminger <[email-masked]>
Date: Thu, 30 Oct 2008 11:15:26 -0700

Has anyone looked into the impact of port randomization on this benchmark.
If it is generating lots of sockets quickly there could be an impact:
  * port randomization causes available port space to get filled non-uniformly
    and what was once a linear scan may have to walk over existing ports.
    (This could be improved by a hint bitmap)

  * port randomization adds at least one modulus operation per socket
    creation. This could be optimized by using a loop instead.